Eclipse GEF 3.3

## org.eclipse.gef.print
Class PrintGraphicalViewerOperation

    java.lang.Object
      org.eclipse.draw2d.PrintOperation
          org.eclipse.draw2d.PrintFigureOperation
              org.eclipse.gef.print.PrintGraphicalViewerOperation

public class PrintGraphicalViewerOperation
extends PrintFigureOperation

Field Summary

Fields inherited from class org.eclipse.draw2d.PrintFigureOperation
`FIT_HEIGHT, FIT_PAGE, FIT_WIDTH, TILE`

Constructor Summary
`PrintGraphicalViewerOperation(Printer p, GraphicalViewer g)` Constructor for PrintGraphicalViewerOperation

Method Summary
`GraphicalViewer` `getViewer()` Returns the viewer.
`protected void` `preparePrintSource()`
`protected void` `restorePrintSource()`
`void` `setViewer(GraphicalViewer viewer)` Sets the viewer.

Methods inherited from class org.eclipse.draw2d.PrintFigureOperation
`getPrintMode, getPrintSource, printPages, setPrintMode, setPrintSource, setupPrinterGraphicsFor`

Methods inherited from class org.eclipse.draw2d.PrintOperation
`cleanup, getFreshPrinterGraphics, getPrinter, getPrintRegion, run, setPrinter, setPrintMargin, setupGraphicsForPage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintGraphicalViewerOperation

    public PrintGraphicalViewerOperation(Printer p,
                                         GraphicalViewer g)

  Constructor for PrintGraphicalViewerOperation

Parameters:
  `p` - The Printer to print to
  `g` - The viewer containing what is to be printed NOTE: The GraphicalViewer to be printed must have a `Layer` with the `PRINTABLE_LAYERS` key.

Method Detail

### getViewer

    public GraphicalViewer getViewer()

  Returns the viewer.

  Returns:
    GraphicalViewer

### preparePrintSource

    protected void preparePrintSource()

  See Also:
    `PrintOperation.preparePrintSource()`

### restorePrintSource

    protected void restorePrintSource()

  See Also:
    `PrintOperation.restorePrintSource()`

### setViewer

    public void setViewer(GraphicalViewer viewer)

  Sets the viewer.

  Parameters:
    `viewer` - The viewer to set

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.